import { Description } from "./Description";
import { RadialGaugeRangeDescription } from "./RadialGaugeRangeDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class RadialGaugeDescription extends Description {
    static $t: Type;
    private cp;
    get fontFamily(): string;
    set fontFamily(a: string);
    private z;
    get fontSize(): number;
    set fontSize(a: number);
    private cr;
    get fontWeight(): string;
    set fontWeight(a: string);
    private cq;
    get fontStyle(): string;
    set fontStyle(a: string);
    private c6;
    get width(): string;
    set width(a: string);
    private ct;
    get height(): string;
    set height(a: string);
    private ci;
    get background(): string;
    set background(a: string);
    protected get_type(): string;
    get type(): string;
    constructor();
    private f;
    get rangeBrushes(): string[];
    set rangeBrushes(a: string[]);
    private g;
    get rangeOutlines(): string[];
    set rangeOutlines(a: string[]);
    private ae;
    get minimumValue(): number;
    set minimumValue(a: number);
    private q;
    get actualMinimumValue(): number;
    set actualMinimumValue(a: number);
    private ad;
    get maximumValue(): number;
    set maximumValue(a: number);
    private p;
    get actualMaximumValue(): number;
    set actualMaximumValue(a: number);
    private aa;
    get interval(): number;
    set interval(a: number);
    private x;
    get centerX(): number;
    set centerX(a: number);
    private y;
    get centerY(): number;
    set centerY(a: number);
    private a6;
    get value(): number;
    set value(a: number);
    private a0;
    get scaleStartAngle(): number;
    set scaleStartAngle(a: number);
    private ax;
    get scaleEndAngle(): number;
    set scaleEndAngle(a: number);
    private c3;
    get scaleSweepDirection(): string;
    set scaleSweepDirection(a: string);
    private cf;
    get transitionDuration(): number;
    set transitionDuration(a: number);
    private c5;
    get transitionEasingFunctionRef(): string;
    set transitionEasingFunctionRef(a: string);
    private cv;
    get needleBrush(): string;
    set needleBrush(a: string);
    private cw;
    get needleOutline(): string;
    set needleOutline(a: string);
    private as;
    get needleStartExtent(): number;
    set needleStartExtent(a: number);
    private al;
    get needleEndExtent(): number;
    set needleEndExtent(a: number);
    private c0;
    get needleShape(): string;
    set needleShape(a: string);
    private at;
    get needleStartWidthRatio(): number;
    set needleStartWidthRatio(a: number);
    private am;
    get needleEndWidthRatio(): number;
    set needleEndWidthRatio(a: number);
    private ak;
    get needleBaseFeatureWidthRatio(): number;
    set needleBaseFeatureWidthRatio(a: number);
    private aj;
    get needleBaseFeatureExtent(): number;
    set needleBaseFeatureExtent(a: number);
    private ar;
    get needlePointFeatureWidthRatio(): number;
    set needlePointFeatureWidthRatio(a: number);
    private aq;
    get needlePointFeatureExtent(): number;
    set needlePointFeatureExtent(a: number);
    private ap;
    get needlePivotWidthRatio(): number;
    set needlePivotWidthRatio(a: number);
    private an;
    get needlePivotInnerWidthRatio(): number;
    set needlePivotInnerWidthRatio(a: number);
    private cz;
    get needlePivotShape(): string;
    set needlePivotShape(a: string);
    private a1;
    get scaleStartExtent(): number;
    set scaleStartExtent(a: number);
    private cx;
    get needlePivotBrush(): string;
    set needlePivotBrush(a: string);
    private cy;
    get needlePivotOutline(): string;
    set needlePivotOutline(a: string);
    private au;
    get needleStrokeThickness(): number;
    set needleStrokeThickness(a: number);
    private ao;
    get needlePivotStrokeThickness(): number;
    set needlePivotStrokeThickness(a: number);
    private ay;
    get scaleEndExtent(): number;
    set scaleEndExtent(a: number);
    private ab;
    get labelExtent(): number;
    set labelExtent(a: number);
    private ac;
    get labelInterval(): number;
    set labelInterval(a: number);
    private a3;
    get tickStartExtent(): number;
    set tickStartExtent(a: number);
    private a2;
    get tickEndExtent(): number;
    set tickEndExtent(a: number);
    private a4;
    get tickStrokeThickness(): number;
    set tickStrokeThickness(a: number);
    private c4;
    get tickBrush(): string;
    set tickBrush(a: string);
    private co;
    get fontBrush(): string;
    set fontBrush(a: string);
    private ah;
    get minorTickStartExtent(): number;
    set minorTickStartExtent(a: number);
    private ag;
    get minorTickEndExtent(): number;
    set minorTickEndExtent(a: number);
    private ai;
    get minorTickStrokeThickness(): number;
    set minorTickStrokeThickness(a: number);
    private cu;
    get minorTickBrush(): string;
    set minorTickBrush(a: string);
    private af;
    get minorTickCount(): number;
    set minorTickCount(a: number);
    private c1;
    get scaleBrush(): string;
    set scaleBrush(a: string);
    private cj;
    get backingBrush(): string;
    set backingBrush(a: string);
    private ck;
    get backingOutline(): string;
    set backingOutline(a: string);
    private w;
    get backingStrokeThickness(): number;
    set backingStrokeThickness(a: number);
    private u;
    get backingOuterExtent(): number;
    set backingOuterExtent(a: number);
    private v;
    get backingOversweep(): number;
    set backingOversweep(a: number);
    private az;
    get scaleOversweep(): number;
    set scaleOversweep(a: number);
    private c2;
    get scaleOversweepShape(): string;
    set scaleOversweepShape(a: string);
    private s;
    get backingCornerRadius(): number;
    set backingCornerRadius(a: number);
    private t;
    get backingInnerExtent(): number;
    set backingInnerExtent(a: number);
    private cl;
    get backingShape(): string;
    set backingShape(a: string);
    private h;
    get ranges(): RadialGaugeRangeDescription[];
    set ranges(a: RadialGaugeRangeDescription[]);
    private aw;
    get radiusMultiplier(): number;
    set radiusMultiplier(a: number);
    private cm;
    get duplicateLabelOmissionStrategy(): string;
    set duplicateLabelOmissionStrategy(a: string);
    private m;
    get isNeedleDraggingEnabled(): boolean;
    set isNeedleDraggingEnabled(a: boolean);
    private l;
    get isNeedleDraggingConstrained(): boolean;
    set isNeedleDraggingConstrained(a: boolean);
    private cn;
    get font(): string;
    set font(a: string);
    private a5;
    get transitionProgress(): number;
    set transitionProgress(a: number);
    private av;
    get pixelScalingRatio(): number;
    set pixelScalingRatio(a: number);
    private r;
    get actualPixelScalingRatio(): number;
    set actualPixelScalingRatio(a: number);
    private cs;
    get formatLabelRef(): string;
    set formatLabelRef(a: string);
    private ch;
    get alignLabelRef(): string;
    set alignLabelRef(a: string);
}
